Skip to main content
PATCH
/
api
/
v1
/
school
/
academic-settings
/
{id}
Update academic settings partial
curl --request PATCH \
  --url https://test-api.afrainity.com/api/v1/school/academic-settings/{id}/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "grade": "<string>",
  "rank": 1,
  "level": "A Level",
  "min_mark": 50,
  "max_mark": 50,
  "description": "<string>",
  "comment": "<string>",
  "is_deleted": true
}
'
{
  "grade": "<string>",
  "level": "A Level",
  "min_mark": 50,
  "max_mark": 50,
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "rank": 1,
  "description": "<string>",
  "comment": "<string>",
  "is_deleted": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

A UUID string identifying this academic settings.

Body

Auto-populate created_by from request.user when available.

grade
string | null
Maximum string length: 255
rank
integer
default:1
Required range: 1 <= x <= 2147483647
level
enum<string> | null
  • A Level - A Level
  • O Level - O Level
Available options:
A Level,
O Level,
,
null
min_mark
integer | null
Required range: 0 <= x <= 100
max_mark
integer | null
Required range: 0 <= x <= 100
description
string | null
comment
string | null
is_deleted
boolean

Response

200 - application/json

Auto-populate created_by from request.user when available.

grade
string | null
required
Maximum string length: 255
level
enum<string> | null
required
  • A Level - A Level
  • O Level - O Level
Available options:
A Level,
O Level,
,
null
min_mark
integer | null
required
Required range: 0 <= x <= 100
max_mark
integer | null
required
Required range: 0 <= x <= 100
id
string<uuid>
rank
integer
default:1
Required range: 1 <= x <= 2147483647
description
string | null
comment
string | null
is_deleted
boolean
created_at
string<date-time>
updated_at
string<date-time>